Bug 242862 - Amarok doesn't support transfer of Unicode filenames to MTP devices
Amarok doesn't support transfer of Unicode filenames to MTP devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 01:15 EDT by Gian Paolo Mureddu
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.4.7-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 10:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.spec file for Amarok with the MTP unicode issue fixed (18.44 KB, text/x-rpm-spec)
2007-09-27 04:52 EDT, Gian Paolo Mureddu
no flags Details
Patch to resolve the MTP unicode issue (704 bytes, patch)
2007-09-27 04:52 EDT, Gian Paolo Mureddu
no flags Details | Diff

  None (edit)
Description Gian Paolo Mureddu 2007-06-06 01:15:40 EDT
Description of problem:
Amarok isn't currently able to transfer files with unicode characters in their
filenames. For example, when transferring files with accentuated characters (á,
é, í, ó, ú, à, è, ì, ò, ù, ä, ë, ï, ö, ü, etc) and special characters (ñ, €, ø,
ß, etc) to an MTP device (iriver Clix in my case), Amarok will spit an error
message stating tha the file couldn't be transferred. Without further
explanation. I have to resort to transfer these files manually with the
mtp-sendfile or mtp-connect --sendfile commands from the CLI to transfer these
files, however this avoids the internal database and album appendage (not to
mention also skips any metadata on the files), this has been particularly
difficult with .ogg files (which my Clix supports just fine) 

Version-Release number of selected component (if applicable):
amarok-1.4.5-4.fc6
libmtp-0.1.5-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Start Amarok and attach an MTP device
2. Browse to some files with unicode characters in their filenames
3. Try to synchronize/transfer those files to the MTP device
  
Actual results:
Amarok will spit some generic errors about the files not being transferred

Expected results:
The files to transfer, as they're easily transferred using the mtp command line
tools

Additional info:
Comment 1 Gian Paolo Mureddu 2007-09-27 03:21:01 EDT
This bug has actually been solved upstream, and I thought it would be part of
Amarok 1.4.7, but apparently it was not. Any plans on including the necessary
patch for Amarok for Fedora?

See the patch for this problem in KDE's bugzilla:

http://bugs.kde.org/show_bug.cgi?id=139722
Comment 2 Gian Paolo Mureddu 2007-09-27 03:22:33 EDT
Note this problem still lingers in F7 and 8 builds of Amarok.
Comment 3 Gian Paolo Mureddu 2007-09-27 04:50:49 EDT
Made a patch and used the patch from the .spec file to correct this issue,
hopefully we'll have a 1.4.7-3 build with this fixed?
Comment 4 Gian Paolo Mureddu 2007-09-27 04:52:06 EDT
Created attachment 207941 [details]
.spec file for Amarok with the MTP unicode issue fixed
Comment 5 Gian Paolo Mureddu 2007-09-27 04:52:54 EDT
Created attachment 207951 [details]
Patch to resolve the MTP unicode issue
Comment 6 Aurelien Bompard 2007-09-28 04:31:08 EDT
Thanks for your help, update incoming !
Comment 7 Gian Paolo Mureddu 2007-09-28 06:38:31 EDT
Thank you VERY much!
Comment 8 Fedora Update System 2007-09-28 17:20:35 EDT
amarok-1.4.7-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Gian Paolo Mureddu 2007-09-29 00:50:37 EDT
I'm actually running a test build I did with supplied .spec plus patch,
everything working fine
Comment 10 Fedora Update System 2007-10-08 10:58:17 EDT
amarok-1.4.7-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.